Skip to main content

List Cache Control V2

This API is used to list cache controls for website accleration service.

Request

Request-Line

GET /cdn/v1.1/services/{serviceId}/cacheControl HTTP/1.1

Request Parameters

Path Parameters

ParameterTypeRequiredDescription
serviceIdIntegerMandatoryThe unique identifier for the service for which the cache control policy will be listed.

Response

Response Body

ParameterTypeDescription
ArrayArray of Cache Controls objects.

Object: Cache Control

ParameterTypeDescription
policyIdStringPolicy ID number for cache control.
policyNameStringPolicy name for the cache control configuration.
priorityIntegerPriority weight for the rule. Rules with a higher weight take precedence. The weight must be a positive integer (greater than zero).
matchesArrayMatching configuration that determines which requests the rule applies to. See Matches for details.
ttlLongCache TTL (time-to-live) in seconds for content stored on the edge servers.
refererAclObjectAccess control based on the Referer header. Defines a domain list and an allow/deny policy to control which referer domains can access the resource. See Referer Acl for details.
originAclObjectAccess control based on the requesting origin. Defines a domain list and an allow/deny policy to control which referer domains can access the resource. See Origin Acl for details.
ignoreClientNoCacheBooleanWhen true, ignores no-cache headers sent by the client. Default is false.
ignoreOriginNoCacheBooleanWhen true, ignores no-cache headers sent by the origin server. Default is false.
ignoreQueryStringBooleanWhen true, ignores URL query strings when caching content. Default is false.
enableXCacheBooleanWhen enabled, responses from edge servers include an X-Cache header indicating whether the response was served from cache (e.g., HIT or MISS). Default is false.
noCacheBooleanWhen true, content is not cached even if the origin indicates it is cacheable. Default is false.
autoGzipDisableBooleanDisable automatic Gzip compresstion on the CDN edge. Default is false.
responseHeadersArrayList of response header configurations. See Response Headers for details.
varyMIMEsArrayEnables the "vary for images" feature. A list of MIME types (e.g., image/webp, image/jpeg) that should be preferred for objects matched by this policy.
enabledBooleanWhether the policy is active. Default is true.
Object: Matches
ParameterTypeDescription
ArraySee Match for details.
Object: Match
ParameterTypeDescription
fieldStringWhich part of the request to match. Supported values:
req.path - Request path (excluding query string).
req.query - Request query parameters.
req.method - HTTP method (GET, POST, etc.).
client.ip - Client IP address.
req.host - Request host.
req.header.user-agent - User-Agent header.
req.header.cookie - Cookie header.
req.header.origin - Origin header.
req.header.via - Via header.
operatorStringDefines how to match the field. Supported values:
startswith - Succeeds if the what matches one of the prefixes listed in patterns.
not_startswith - Matches if field value does not starts with any of the specified prefixes.
istartswith - Case-independent version of startswith.
not_istartwith - Matches if the field value does not starts with any of the specified prefixes, ignoring letter case differences.
regex - Succeeds if what matches one of the regexes listed in patterns.
equals - Succeeds if the what matches one of the strings listed in patterns.
not_equals - Succeeds if the field value does not exactly match any of the specified strings.
iequals - Case-independent version of equals.
not_iequals - Succeeds if the field value does not exactly match any of the specified strings,ignoring letter case differences.
endswith - Succeeds if the what ends with one of the strings listed in patterns. Useful e.g. to match file extensions like ".mp4".
not_endswith - Succeeds if the what does not ends with one of the strings listed in patterns.
iendswith - Case-independent version of endswith.
not_iendswith - Succeeds if the what does not ends with one of the strings listed in patterns,ignoring letter case differences.
subnet - Succeeds if the what belongs to one of subnets, specified in patterns, like "1.222.94.98/32".
not_subnet - Succeeds if the what does not belongs to one of subnets.
Note: subnet operator is applicable only to the client.ip match option.
valuesArrayList of values matching the URL path string.
Object: Referer/Origin Acl
ParameterTypeRequiredDescription
aclTypeStringMandatoryAccess control type. Support values: whitelist or blacklist.
domainListArrayMandatoryList of domain names to be allowed or blocked.
Object: Response Headers
ParameterTypeRequiredDescription
nameStringMandatoryResponse header name.
operationTypeStringMandatoryOperation to perform on the response header. Supported values: add, replace or delete.
valueStringOptionalResponse header value. Required when operationType is add or replace.

Status Codes, Error Codes and Error Messages

Status CodeError CodeError Message
400InvalidService.IdIncorrectService ID is empty or invalid.

Examples

List Cache Control V2

Request

GET /cdn/v1.1/services/226401/cacheControl HTTP/1.1

Successful Response Body

[
{
"policyId": 262284,
"policyName": "cacheInfo",
"ignoreClientNoCache": false,
"ignoreOriginNoCache": false,
"ignoreQueryString": true,
"enableXCache": true,
"noCache": false,
"autoGzipDisable": false,
"responseHeaders": [
{
"name": "Content-Type",
"value": "application/json",
"operationType": "add"
}
],
"matches": [
{
"field": "req.path",
"operator": "startswith",
"values": [
"/css/",
"/images/abc/"
]
},
{
"field": "req.host",
"operator": "iequals",
"values": [
"expamle.com"
]
},
{
"field": "req.method",
"operator": "equals",
"values": [
"get"
]
}
],
"priority": 4,
"enabled": true
},
{
"policyId": 262285,
"policyName": "cacheInfo",
"ignoreClientNoCache": true,
"ignoreOriginNoCache": false,
"ignoreQueryString": true,
"enableXCache": true,
"noCache": true,
"autoGzipDisable": false,
"responseHeaders": [
{
"name": "Content-Type",
"value": "application/json",
"operationType": "add"
}
],
"matches": [
{
"field": "req.path",
"operator": "startswith",
"values": [
"/css/",
"/images/abc/"
]
},
{
"field": "req.method",
"operator": "equals",
"values": [
"get"
]
}
],
"priority": 5,
"enabled": true
}
]